Foxit PDF SDK

Instance Methods | List of all members
FSSignatureFillSignObject Class Reference

Certificate is valid.
More...

Inheritance diagram for FSSignatureFillSignObject:

## Instance Methods
(id) | - initWithFillsign_object:
| Constructor, with parent class object. More...
(BOOL) | - isInitialsType
| Check if current annotation is an initials signature fill-sign object. More...
(void) | - setBitmap:
| Set a bitmap. More...
Instance Methods inherited from FSFillSignObject
(BOOL) | - generateContent
| Generate content for current fill-sign object. More...
(FSRectF *) | - getRect
| Get rectangle, in PDF coordinate system. More...
(FSFillSignFillSignObjectType) | - getType
| Get fill-sign type. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another fill-sign object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - move:width:height:rotation:
| Move current fill-sign object. More...

## Detailed Description

Certificate is valid.

Certificate is expired.

Certificate is unsupport type.

Certificate's data is error.

Certificate's password is wrong.

Certificate's path is wrong.

Certificate is not set to sign a signature.

Certificate's private key cannot be gotten.

Class FSSignatureFillSignObject is derived from class FSFillSignObject , and is used to represent a signature or initiials signature fill-sign object.

See also
  FSFillSignObject

## Method Documentation

## ◆ initWithFillsign_object:()

- (id) initWithFillsign_object: |  | (FSFillSignObject*) | fillsign_object |

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## ◆ isInitialsType()

- (BOOL) isInitialsType |  |  |

Check if current annotation is an initials signature fill-sign object.

Returns
  YES means current object is an initials signature fill-sign object, while NO means current object is a signature fill-sign object.

## ◆ setBitmap:()

- (void) setBitmap: |  | (FSBitmap*) | bitmap |

Set a bitmap.

Parameters

  [in] | bitmap | A bitmap to be set to current fill-sign object. This should be a valid bitmap object.

Returns
  None.